nGinx/PHP not Upgrading – Fix Update Errors

When trying to update/upgrade nGinx or PHP by typing apt-get update && apt-get upgrade, do you get some error like the following error or any other error?

dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)

If so, try typing in these three lines of code, one at a time, and hopefully, you’ll be able to upgrade nGinx/PHP:

apt-get clean
apt-get dist-upgrade
apt-get -f install

Troubleshooting

These two commands may provide additional information, used for troubleshooting any nGinx update/upgrade errors or issues:

which nginx
dpkg -L nginx